# Programmieren mit Python: Seminarinhalt

## Einführung in die Programmiersprache Python

* Verwendung des Interpreters (Interactive Modus)
* Genereller Aufbau eines Programms
* Grundlegende Datentypen und Operationen
* Kontrollstrukturen

## Erweiterte Grundlagen in Python

* Erweiterte Datentypen: Listen, Tupel, Dictionary, Set
* String Formatierung

## Funktionen in Python

* Definition und Aufruf von Funktionen
* Generatoren
* Rekursion

## Objektorientierung in Python

* Allgemeiner Einblick in die Objektstruktur in Python
* Definieren von Klassen
* Erzeugen von Objekten
* Vererbung

## Fehlerbehandlung in Python

* Abfangen von Fehlern
* Eigene Fehler erzeugen

## Module in Python

* Importieren, Verwenden von Modulen
* Allgemeiner Umgang mit dem Packet Manager PIP

## Zugriff auf das Dateisystem

* Lesen und Schreiben von Daten im JSON Format

## Datenbankzugriff mit Sqlite3

## Entwicklung eines HTML-Crawlers

## Best Practices

* Code Style
* Verwendung von Dekoratoren




